Skip to main content
Update Job
curl --request PATCH \
  --url https://{tenant_name}.{region}.techwolf.ai/job_architecture/jobs/{job_external_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "job_family_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7",
  "job_name": "Front End Developer",
  "active": true
}
'
[
  {
    "title": "400 Bad Request",
    "description": "The request body was not structured correctly."
  }
]

Documentation Index

Fetch the complete documentation index at: https://developers.techwolf.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

job_external_id
string
required

The unique Job ID in your system, consisting of alphanumeric characters, hyphens and underscores.

Body

application/json

Default structure for updating Job Data.

job_family_id
string

ID of the Job Family.

Required string length: 1 - 100
Example:

"a3903505-eb84-42dc-a79f-5e7b1fe897b7"

job_name
string

Name of the Job.

Required string length: 1 - 255
Example:

"Front End Developer"

active
boolean | null
default:true

The Job will not be used in matching if active is false. This is useful when a Job is being phased out.

Example:

true

Response

No Content